<!DOCTYPE html>
<html lang="en">
<head>
<title>NBP Zadaca2</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<style>
* {
  box-sizing: border-box;
}

body {
  font-family: 'Poppins', sans-serif;
}

h1 {
	font-size: 42px;
}

/* Style the header */
header {
  background-color: #c1c1ff;
  padding: 10px;
  text-align: center;
  font-size: 18px;
  color: black;
}

/* Create two columns/boxes that floats next to each other */
nav {
  float: left;
  width: 30%;
  height: 700px; /* only for demonstration, should be removed */
  background: #e7ffe7;
  padding: 20px;
}

/* Style the list inside the menu */
nav ul {
  list-style-type: none;
  padding: 0;
}

article {
  float: left;
  padding: 20px;
  width: 70%;
  background-color: #fff;
  height: 700px; /* only for demonstration, should be removed */
}

/* Clear floats after the columns */
section::after {
  content: "";
  display: table;
  clear: both;
}

/* Style the footer */
footer {
  background-color: #777;
  padding: 10px;
  text-align: center;
  color: white;
}

/* Responsive layout - makes the two columns/boxes stack on top of each other instead of next to each other, on small screens */
@media (max-width: 600px) {
  nav, article {
    width: 100%;
    height: auto;
  }
}

table a:link {
	color: #666;
	font-weight: bold;
	text-decoration:none;
}
table a:visited {
	color: #999999;
	font-weight:bold;
	text-decoration:none;
}
table a:active,
table a:hover {
	color: #bd5a35;
	text-decoration:underline;
}
table {
	font-family:Arial, Helvetica, sans-serif;
	color:#666;
	font-size:12px;
	text-shadow: 1px 1px 0px #fff;
	background:#eaebec;
	margin:0px;
	border:#ccc 1px solid;

	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	border-radius:3px;

	-moz-box-shadow: 0 1px 2px #d1d1d1;
	-webkit-box-shadow: 0 1px 2px #d1d1d1;
	box-shadow: 0 1px 2px #d1d1d1;
}
table th {
	padding:21px 25px 22px 25px;
	border-top:1px solid #fafafa;
	border-bottom:1px solid #e0e0e0;

	background: #ededed;
	background: -webkit-gradient(linear, left top, left bottom, from(#ededed), to(#ebebeb));
	background: -moz-linear-gradient(top,  #ededed,  #ebebeb);
}
table th:first-child {
	text-align: left;
	padding-left:20px;
}
table tr:first-child th:first-child {
	-moz-border-radius-topleft:3px;
	-webkit-border-top-left-radius:3px;
	border-top-left-radius:3px;
}
table tr:first-child th:last-child {
	-moz-border-radius-topright:3px;
	-webkit-border-top-right-radius:3px;
	border-top-right-radius:3px;
}
table tr {
	text-align: center;
	padding-left:20px;
	cursor: pointer;
}
table td:first-child {
	text-align: left;
	padding-left:20px;
	border-left: 0;
}
table td {
	padding:18px;
	border-top: 1px solid #ffffff;
	border-bottom:1px solid #e0e0e0;
	border-left: 1px solid #e0e0e0;

	background: #fafafa;
	background: -webkit-gradient(linear, left top, left bottom, from(#fbfbfb), to(#fafafa));
	background: -moz-linear-gradient(top,  #fbfbfb,  #fafafa);
}
table tr.even td {
	background: #f6f6f6;
	background: -webkit-gradient(linear, left top, left bottom, from(#f8f8f8), to(#f6f6f6));
	background: -moz-linear-gradient(top,  #f8f8f8,  #f6f6f6);
}
table tr:last-child td {
	border-bottom:0;
}
table tr:last-child td:first-child {
	-moz-border-radius-bottomleft:3px;
	-webkit-border-bottom-left-radius:3px;
	border-bottom-left-radius:3px;
}
table tr:last-child td:last-child {
	-moz-border-radius-bottomright:3px;
	-webkit-border-bottom-right-radius:3px;
	border-bottom-right-radius:3px;
}
table tr:hover td {
	background: #f2f2f2;
	background: -webkit-gradient(linear, left top, left bottom, from(#f2f2f2), to(#f0f0f0));
	background: -moz-linear-gradient(top,  #f2f2f2,  #f0f0f0);	
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  width: 200px;
  background-color: #e7ffe7;
}

li a {
  display: block;
  color: #000;
  padding: 8px 16px;
  text-decoration: none;
}

li a.active {
  background-color: #4CAF50;
  color: white;
}

li a:hover:not(.active) {
  background-color: #555;
  color: white;
}

.button {
  background-color: #008CBA; /* Green */
  border: none;
  color: white;
  padding: 11px 30px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  transition-duration: 0.4s;
  cursor: pointer;
}

.button:hover {
  background-color: #4CAF50;
  color: white;
  }
  
.date {
	font: 14px/22px "-apple-system", BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    overflow: auto;
    box-sizing: border-box;
    border: 1px solid rgba(50, 50, 50, 0.6);
    padding: 1px 2px;
    cursor: pointer;
    width: 120px;
}

#taskid, #estimate {
	margin-bottom: 4px;
	font: 14px/22px "-apple-system", BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    overflow: auto;
    box-sizing: border-box;
    border: 1px solid rgba(50, 50, 50, 0.6);
    padding: 1px 2px;
    cursor: pointer;
    width: 200px;
    flex: 0 0 300px;
    margin-left: 10px;
}

.verticalbutton {
	margin-top:12px;
	width: 100px;
	flex: 0 0 300px;
	margin-left: 100px;
}

#project {
	margin-bottom: 4px;
	font: 14px/22px "-apple-system", BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    overflow: auto;
    box-sizing: border-box;
    border: 1px solid rgba(50, 50, 50, 0.6);
    padding: 10px 5px;
    cursor: pointer;
    width: 200px;
    background-color: #fff;
    flex: 0 0 300px;
    margin-left: 10px;
}

#summary {
	margin-bottom: 4px;
	font: 14px/22px "-apple-system", BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    overflow: auto;
    box-sizing: border-box;
    border: 1px solid rgba(50, 50, 50, 0.6);
    padding: 1px 2px;
    width: 200px;
    flex: 0 0 300px;
    margin-left: 10px;
}

label {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  text-align: right;
  width: 400px;
  line-height: 26px;
  margin-bottom: 10px;
}

hr {
	margin-bottom: 40px;
}

</style>

</head>
<body onload="getData()">
<header>
  <h2>Napredne baze podataka - Zadaća 2</h2>
</header>

<section>
  <nav>
    <ul>
      <li><a href="/nbp-zadaca2/insert_employee">Dodaj zaposlenika</a></li>
      <li><a href="/nbp-zadaca2/insert_project">Dodaj projekat</a></li>
      <li><a href="/nbp-zadaca2/remove_project">Brisi projekat</a></li>
      <li><a href="/nbp-zadaca2/insert_task">Dodaj zadatak</a></li>
      <li><a href="/nbp-zadaca2/insert_worklog">Loguj vrijeme</a></li>
      <li><a href="/nbp-zadaca2/get_task" class="active">Lista zadataka</a></li>
      <li><a href="/nbp-zadaca2/work_logs">Timesheet</a></li>
    </ul>
  </nav>
  
  <article>
    <h1>Task Edit</h1>
    <hr>
      <label for="id">ID:<input type="text" readonly="readonly" id="taskid" name="taskid" value=""></label>
      <label for="project">Project:<select name="project" id="project" class="date"></select></label>
  	  <label for="summary">Summary:<input type="text" id="summary" name="summary"></label>
  	  <label for="estimate">Estimate (h):<input type="number" id="estimate" name="estimate"></label>
      <input type="button" value="Edit" class="button verticalbutton" onclick="editTask();">
  </article>
</section>

<script>
	
	function getData() {
		const queryString = window.location.search;
		const urlParams = new URLSearchParams(queryString);
		var taskID = urlParams.get("task");
		
		document.getElementById("taskid").value = taskID;
		
		var dataString = "task="+taskID+"&data=true";
		$.ajax({
			type: "GET",
			url: "/nbp-zadaca2/get_task",
			data: dataString,
			cache: false,
			success: function(response) {
				console.log("AAA");
				if (response.success) {
					console.log("Got task: " + response.task);
					document.getElementById("summary").value = response.task.summary;
					document.getElementById("estimate").value = response.task.estimate;
					response.projects.forEach(function(p) {
						var select = document.getElementById("project");
						var option = document.createElement('option');
						option.text = option.value = p.name;
						select.add(option);
					});
					var dd = document.getElementById("project");
					for (var i = 0; i < dd.options.length; i++) {
					    if (dd.options[i].text === response.task.project.name) {
					        dd.selectedIndex = i;
					        break;
					    }
					}
				} else {
					console.log(response.reason);
				}
			} 
		});
	}
	
	function editTask() {
		var taskid = document.getElementById("taskid").value;
		var summary = document.getElementById("summary").value;
		var estimate = document.getElementById("estimate").value;
		var project = document.getElementById("project").value;
		
		var dataString = "task=" + taskid + "&summary=" + summary + "&estimate=" + estimate + "&project="+project;
		console.log("Requesting edit with: " + dataString);
		$.ajax({
			type: "POST",
			url: "/nbp-zadaca2/get_task",
			data: dataString,
			cache: false,
			success: function(response) {
				console.log("AAA");
				if (response.success) {
					Swal.fire("Success!", "Task edited!", "success").then((_) => {
						window.location = "/nbp-zadaca2/get_task";
						});
				} else {
					console.log(response.reason);
					Swal.fire("Error.", response.reason, "error");
				}
			}
		});
	}
	
</script>

</body>

</html>